Bug 1122465 - [abrt] meld: filediff.py:1661:on_fileentry_activate:AttributeError: 'NoneType' object has no attribute 'decode'
Summary: [abrt] meld: filediff.py:1661:on_fileentry_activate:AttributeError: 'NoneType...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f6950452440f6dbe1a99dc26c94...
: 1150977 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 10:29 UTC by Rolle
Modified: 2015-06-29 21:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:42:50 UTC


Attachments (Terms of Use)
File: backtrace (844 bytes, text/plain)
2014-07-23 10:29 UTC, Rolle
no flags Details
File: environ (1.44 KB, text/plain)
2014-07-23 10:29 UTC, Rolle
no flags Details

Description Rolle 2014-07-23 10:29:28 UTC
Version-Release number of selected component:
meld-1.8.5-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/meld
executable:     /usr/bin/meld
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
filediff.py:1661:on_fileentry_activate:AttributeError: 'NoneType' object has no attribute 'decode'

Traceback (most recent call last):
  File "/usr/share/meld/meld/filediff.py", line 1661, in on_fileentry_activate
    paths = [p.decode('utf8') for p in paths]
AttributeError: 'NoneType' object has no attribute 'decode'

Local variables in innermost frame:
paths: [None, '/home/rolle/00.Dev/OpenCV-Test/PoreMetallschaum/PoreGlass (Kopie)/mainwindow.cpp']
e: <HistoryFileEntry object at 0x2f8afa0 (HistoryFileEntry at 0x3113e70)>
self: <FileDiff object at 0x2f8ab90 (meld+filediff+FileDiff at 0x308c6c0)>
p: None
entries: [<HistoryFileEntry object at 0x2f8b140 (HistoryFileEntry at 0x32530c0)>, <HistoryFileEntry object at 0x2f8afa0 (HistoryFileEntry at 0x3113e70)>]
entry: <HistoryFileEntry object at 0x2f8afa0 (HistoryFileEntry at 0x3113e70)>

Potential duplicate: bug 1031492

Comment 1 Rolle 2014-07-23 10:29:30 UTC
Created attachment 920195 [details]
File: backtrace

Comment 2 Rolle 2014-07-23 10:29:32 UTC
Created attachment 920196 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:27:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Dominic Hopf 2015-06-25 22:29:44 UTC
*** Bug 1150977 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2015-06-29 21:42:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.